Bug 1023706 - Review Request: ghc-zlib - Compression and decompression in the gzip and zlib formats
Review Request: ghc-zlib - Compression and decompression in the gzip and zlib...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Shakthi Kannan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-27 05:10 EDT by Jens Petersen
Modified: 2013-12-22 22:43 EST (History)
3 users (show)

See Also:
Fixed In Version: haskell-platform-2013.2.0.0-27.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-22 22:43:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shakthimaan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2013-10-27 05:10:09 EDT
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-zlib.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-zlib-0.5.4.1-25.fc19.src.rpm

Description:
This package provides a pure interface for compressing and decompressing
streams of data represented as lazy 'ByteString's. It uses the zlib C library
so it has high performance. It supports the \"zlib\", \"gzip\" and \"raw\"
compression formats.

It provides a convenient high level API suitable for most tasks and for the few
cases where more control is needed it provides access to the full zlib feature
set.
Comment 1 Jens Petersen 2013-10-27 05:10:15 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6104174
Comment 2 Jens Petersen 2013-10-27 05:16:46 EDT
This is another Haskell Platform unsubpackaging review for F21 and earlier.

http://packdeps.haskellers.com/reverse/zlib
Comment 4 Shakthi Kannan 2013-11-29 05:33:51 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[-]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated", "zlib/libpng". 3 files have unknown license.
     Detailed output of licensecheck in /home/mbuf/1023706-ghc-
     zlib/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 645120 bytes in 29 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-zlib-0.5.4.1-26.fc19.x86_64.rpm
          ghc-zlib-devel-0.5.4.1-26.fc19.x86_64.rpm
          ghc-zlib-0.5.4.1-26.fc19.src.rpm
ghc-zlib.x86_64: W: spelling-error Summary(en_US) gzip -> zip, grip, g zip
ghc-zlib.x86_64: W: spelling-error %description -l en_US gzip -> zip, grip, g zip
ghc-zlib.src: W: spelling-error Summary(en_US) gzip -> zip, grip, g zip
ghc-zlib.src: W: spelling-error %description -l en_US gzip -> zip, grip, g zip
3 packages and 0 specfiles checked; 0 errors, 4 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint ghc-zlib-devel ghc-zlib
ghc-zlib.x86_64: W: spelling-error Summary(en_US) gzip -> zip, grip, g zip
ghc-zlib.x86_64: W: spelling-error %description -l en_US gzip -> zip, grip, g zip
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'

Requires
--------
ghc-zlib-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(zlib-0.5.4.1-3091bf12cab0c12fd306120329cbe35e)
    ghc-compiler
    ghc-devel(base-4.5.1.0-6e4c9bdc36eeb9121f27ccbbcb62e3f3)
    ghc-devel(bytestring-0.9.2.1-503e91bb155301fdb1956cb5c26ce6e9)
    ghc-zlib(x86-64)
    zlib-devel(x86-64)

ghc-zlib (rpmlib, GLIBC filtered):
    ghc(base-4.5.1.0-6e4c9bdc36eeb9121f27ccbbcb62e3f3)
    ghc(bytestring-0.9.2.1-503e91bb155301fdb1956cb5c26ce6e9)
    libHSbase-4.5.1.0-ghc7.4.2.so()(64bit)
    libHSbytestring-0.9.2.1-ghc7.4.2.so()(64bit)
    libHSghc-prim-0.2.0.0-ghc7.4.2.so()(64bit)
    libHSinteger-gmp-0.4.0.0-ghc7.4.2.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

Provides
--------
ghc-zlib-devel:
    ghc-devel(zlib-0.5.4.1-3091bf12cab0c12fd306120329cbe35e)
    ghc-zlib-devel
    ghc-zlib-devel(x86-64)
    ghc-zlib-static

ghc-zlib:
    ghc(zlib-0.5.4.1-3091bf12cab0c12fd306120329cbe35e)
    ghc-zlib
    ghc-zlib(x86-64)
    libHSzlib-0.5.4.1-ghc7.4.2.so()(64bit)

Unversioned so-files
--------------------
ghc-zlib: /usr/lib64/ghc-7.4.2/zlib-0.5.4.1/libHSzlib-0.5.4.1-ghc7.4.2.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/zlib/0.5.4.1/zlib-0.5.4.1.tar.gz :
  CHECKSUM(SHA256) this package     : cca365e4c52c90be41a5754943134da5ce6c60bb52fa00c128fd118e0505a550
  CHECKSUM(SHA256) upstream package : cca365e4c52c90be41a5754943134da5ce6c60bb52fa00c128fd118e0505a550

Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1023706
Buildroot used: fedora-19-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Successful builds for F18, F19 and F20:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6238803
http://koji.fedoraproject.org/koji/taskinfo?taskID=6238802
http://koji.fedoraproject.org/koji/taskinfo?taskID=6238801
Comment 5 Jens Petersen 2013-12-02 02:30:16 EST
Thanks for reviewing.

Package Change Request
======================
Package Name: ghc-zlib
New Branches: f20 f19
Owners: petersen
InitialCC: haskell-sig
Comment 6 Gwyn Ciesla 2013-12-02 08:16:58 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-12-05 02:28:38 EST
haskell-platform-2013.2.0.0-27.fc20,ghc-mtl-2.1.2-27.fc20,ghc-zlib-0.5.4.1-27.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/haskell-platform-2013.2.0.0-27.fc20,ghc-mtl-2.1.2-27.fc20,ghc-zlib-0.5.4.1-27.fc20
Comment 8 Fedora Update System 2013-12-05 16:28:23 EST
Package haskell-platform-2013.2.0.0-27.fc20, ghc-mtl-2.1.2-27.fc20, ghc-zlib-0.5.4.1-27.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing haskell-platform-2013.2.0.0-27.fc20 ghc-mtl-2.1.2-27.fc20 ghc-zlib-0.5.4.1-27.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22821/haskell-platform-2013.2.0.0-27.fc20,ghc-mtl-2.1.2-27.fc20,ghc-zlib-0.5.4.1-27.fc20
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-12-22 22:43:42 EST
haskell-platform-2013.2.0.0-27.fc20, ghc-mtl-2.1.2-27.fc20, ghc-zlib-0.5.4.1-27.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.